<?php
/*
 * Your installation or use of this SugarCRM file is subject to the applicable
 * terms available at
 * http://support.sugarcrm.com/06_Customer_Center/10_Master_Subscription_Agreements/.
 * If you do not agree to all of the applicable terms or do not have the
 * authority to bind the entity as an authorized representative, then do not
 * install or use this SugarCRM file.
 *
 * Copyright (C) SugarCRM Inc. All rights reserved.
 */
/**
 * THIS CLASS IS GENERATED BY MODULE BUILDER
 * PLEASE DO NOT CHANGE THIS CLASS
 * PLACE ANY CUSTOMIZATIONS IN gc_Contracts
 */


class gc_Contracts_sugar extends Basic {
    public $new_schema = true;
    public $module_dir = 'gc_Contracts';
    public $object_name = 'gc_Contracts';
    public $table_name = 'gc_contracts';
    public $importable = true;
    public $team_id;
    public $team_set_id;
    public $team_count;
    public $team_name;
    public $team_link;
    public $team_count_link;
    public $teams;
    public $assigned_user_id;
    public $assigned_user_name;
    public $assigned_user_link;
    public $id;
    public $name;
    public $date_entered;
    public $date_modified;
    public $modified_user_id;
    public $modified_by_name;
    public $created_by;
    public $created_by_name;
    public $doc_owner;
    public $user_favorites;
    public $description;
    public $deleted;
    public $created_by_link;
    public $modified_user_link;
    public $activities;
    public $following;
    public $following_link;
    public $my_favorite;
    public $favorite_link;
    public $global_contract_id;
    public $contract_type;
    public $contract_version;
    public $contract_status;
    public $loi_contract;
    public $billing_type;
    public $total_nrc;
    public $total_mrc;
    public $grand_total;
    public $contract_request_id;
    public $ext_sys_created_by;
    public $ext_sys_modified_by;
    public $date_entered_timezone;
    public $date_modified_timezone;
    public $factory_reference_no;
    public $workflow_flag;
    public $contract_scheme;
    public $contract_startdate;
    public $contract_period;
    public $contract_period_unit;
    public $product_offering;
    public $gc_timezone_id_c;
    public $contract_startdate_timezone;
    public $global_contract_id_uuid;
    public $contract_scheme_uuid;
    public $contract_type_uuid;
    public $loi_contract_uuid;
    public $billing_type_uuid;
    public $product_offering_uuid;
    public $factory_reference_no_uuid;
    public $lock_version;
    public $contract_enddate;
    public $gc_timezone_id1_c;
    public $contract_enddate_timezone;
    public $vat_no;
    
    /**
     * This is a deprecated method, please start using __construct() as this
     * method will be removed in a future version.
     *
     * @see __construct
     * @deprecated
     */
    public function gc_Contracts_sugar(){
        $GLOBALS['log']->deprecated('Calls to gc_Contracts::gc_Contracts are deprecated.');
        self::__construct();
    }

    public function __construct(){
        parent::__construct();
    }
    
    public function bean_implements($interface){
        switch($interface){
            case 'ACL': return true;
        }
        return false;
    }
    
}